Bug 1012503 - Too many levels of symbolic links
Too many levels of symbolic links
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: core (Show other bugs)
3.4.0
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-26 10:56 EDT by Jorge Silva
Modified: 2015-10-07 08:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 08:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jorge Silva 2013-09-26 10:56:10 EDT
Description of problem:
I have in increasing number of bad links in the my .glusterfs/xx/xx/xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx-> ../../xx/xx/xxxxxxyy-xxyy-xxyy-xxyy-xxxxxxxxxxyy

Version-Release number of selected component (if applicable):
Os: Centos 6.4
Kernel: 2.6.32-358.6.2.el6.x86_64
Type: Replicate
Number of Bricks: 1 x 2 = 2
Bricks : mdadm raid5, lvm, xfs

How reproducible:
Stop Gluster (kill all the glustergd and glusterd), remove .glusterfs directories on both server. Start one of the gluster servers, the .glusterfs directory gets rebuilt.after a day run:

 find /gluster/homes -type l -a ! \( -xtype b -o -xtype c -o -xtype d -o -xtype p -o -xtype f -o -xtype s -o -xtype l \) > ~/bad_files_1

 ~/bad_files_1 is empty

no warnings in the logs files.

wipe out data on second server and remove .glusterfs directory. start gluster on brick 2, run 
gluster volume heal homes

Leave overnight, all data synced. Run on both servers.

find /gluster/homes -type l -a ! \( -xtype b -o -xtype c -o -xtype d -o -xtype p -o -xtype f -o -xtype s -o -xtype l \) > ~/bad_files_1

On both see :

find: `/gluster/homes/.glusterfs/xx/xx/88afd36a-5ffc-4220-8867-506c9c88e1f6': To                                                              o many levels of symbolic links

the files on both server have the identical number of bad entries.

repeat a find a couple of days later and number of bad symbolic links increase.


Actual results:


Expected results:


Additional info:
Comment 1 Niels de Vos 2015-05-17 17:59:33 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 2 Kaleb KEITHLEY 2015-10-07 08:19:45 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.